# radardoinvestidor-scraper

# Repositório do scraper - Projeto Radar do Investidor.


## Upload image on AWS ECR
```
Build image:
    $ docker build -t warren-scrapper .

Configure credentials:
    $ aws configure

Register the image in ECR:
    $ aws ecr get-login-password --region us-east-1 | docker login --username AWS --password-stdin 914821389900.dkr.ecr.us-east-1.amazonaws.com
    $ docker tag warren-scrapper:latest 914821389900.dkr.ecr.us-east-1.amazonaws.com/rdi-scrapper-ecr:latest
    $ docker push 914821389900.dkr.ecr.us-east-1.amazonaws.com/rdi-scrapper-ecr:latest
```


## Upload image on AWS ECR (commnads - template)
```
# Connect to ECR:    
    $ aws ecr get-login-password --region <region> | docker login --username AWS --password-stdin <accountId>.dkr.ecr.<region>.amazonaws.com
# Tag image:
    $ docker tag <imageName>:<versionTag> <accountId>.dkr.ecr.<region>.amazonaws.com/<appName>:<versionTag>
# Push image:
    $ docker push <accountId>.dkr.ecr.<region>.amazonaws.com/<appName>:<versionTag>
```
